@echo off
TITLE IBM Replication Manager CLI
@setlocal

REM ***************************************************************************
REM Set up the environment for this specific configuration.  Both
REM JAVA_HOME and CSMCLI_HOME must be defined in environment variables.
REM ***************************************************************************
set CURRENT_DIR=%~dp0
set CSM_INSTALL_DIR=%CURRENT_DIR:~0,-5%
set CSMJDK=%CSM_INSTALL_DIR%\liberty\wlp\IBM\Java\jre
if "%CSMJDK%"=="" GOTO ERROR_JAVA
set CSMCLI=%CSM_INSTALL_DIR%\CLI
if "%CSMCLI%"=="" GOTO ERROR_CLI
set PATH=%CSMCLI%\lib;%PATH%
set CSMCP=.;lib\csmcli.jar;lib\clicommon.jar;lib\csmclient.jar;lib\essClientApi.jar;
set CSMCP=%CSMCP%;lib\ibmCIMClient.jar;lib\jlog.jar;lib\jsse.jar;lib\JSON4J.jar;
set CSMCP=%CSMCP%;lib\rmmessages.jar;lib\snmp.jar;lib\ssgclihelp.jar;lib\ssgfrmwk.jar;
set CSMCP=%CSMCP%;lib\xerces-2.9.0.jar;lib\com.ibm.websphere.javaee.jaxb.2.2_1.0.69.jar;
set CSMCP=%CSMCP%;lib\io.openliberty.jakarta.xmlBinding.3.0_1.0.60.jar;
set JAVA_ARGS=
set JAVAOPTS=-Xmx512m
cd /d "%CSMCLI%"

REM ***************************************************************************
REM Find the current code page
REM ***************************************************************************

REM chcp 65001 > %TEMP%\chcp65001.txt
chcp > %TEMP%\chcp.txt
"%CSMJDK%\bin\java" -classpath %CSMCP% com.ibm.storage.mdm.cli.rm.CodePageExtractor "%TEMP%\chcp.txt" "%TEMP%\codepage.txt"
SET /P CODEPAGEVALUE= < %TEMP%\codePage.txt
if "%CODEPAGEVALUE%"=="" (
	SET JAVA_ARGS=%JAVA_ARGS% -Dfile.encoding=UTF8
) ELSE (
	SET JAVA_ARGS=%JAVA_ARGS% -Dfile.encoding=%CODEPAGEVALUE% 
	)


REM ***************************************************************************
REM Find any user specified java options
REM ***************************************************************************
if exist "%CURRENT_DIR%\javaoptions.properties" (
	FOR /F "usebackq tokens=1,* delims==" %%A IN ("%CURRENT_DIR%\javaoptions.properties") DO (
    		IF "%%A"=="JAVA_OPTIONS" SET JAVAOPTS=%%B 
	)
)
REM ECHO Using java options %JAVAOPTS%


REM ***************************************************************************
REM Execute the CSMCLI program.
REM ***************************************************************************
:RUNPROG
"%CSMJDK%\bin\java" %JAVA_ARGS% %JAVAOPTS% -Djava.net.preferIPv4Stack=false -classpath %CSMCP% com.ibm.storage.mdm.cli.rm.RmCli %*
GOTO END

REM ***************************************************************************
REM The Java interpreter home environment variable, JAVA_HOME, is not set
REM ***************************************************************************
:ERROR_JAVA
echo The JAVA_HOME environment variable is not set.  Please see documentation.
GOTO END

REM ***************************************************************************
REM The CSM CLI home environment variable, CSMCLI_HOME, is not set
REM ***************************************************************************
:ERROR_CLI
echo The CSMCLI_HOME environment variable is not set.  Please see documentation.

:END
if not %ERRORLEVEL% == 0 pause
EXIT /B %ERRORLEVEL%
@endlocal
