#!/bin/sh
# *********************************************************************************
# (C) Copyright IBM, 2006.
# All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *********************************************************************************

# *****************************************************************************
# Set up the environment for this specific configuration.
# *****************************************************************************
dirname=`dirname "$0"`
CSM_ROOT_DIR=`cd "$dirname/.." && pwd`
CSMCLI="${CSM_ROOT_DIR}/CLI"
WLP_INSTALL_DIR="${CSM_ROOT_DIR}/liberty/wlp"
CSMJDK="${WLP_INSTALL_DIR}/IBM/Java/jre"
LIBDIR="${CSMCLI}/lib/"

JAVAOPTS=-Xmx512m
PROPFILE=${CSMCLI}/javaoptions.properties
FILE=$PROPFILE
if test -f "$FILE"; then 
	JAVAOPTSFROMFILE=$(grep -i "^JAVA_OPTIONS=" $PROPFILE  | cut -f2- -d'=')
	if [ "$JAVAOPTSFROMFILE" != "" ]
	then				
		JAVAOPTS=$JAVAOPTSFROMFILE	
	fi
fi
#echo $JAVAOPTS


# *****************************************************************************
# Set up the classpath for issuing the Java(TM) command to run the CLI.
# *****************************************************************************
CSM_PATH=${LIBDIR}
CSM_PATH=${CSM_PATH}:${LIBDIR}clicommon.jar
CSM_PATH=${CSM_PATH}:${LIBDIR}csmcli.jar
CSM_PATH=${CSM_PATH}:${LIBDIR}csmclient.jar
CSM_PATH=${CSM_PATH}:${LIBDIR}jlog.jar
CSM_PATH=${CSM_PATH}:${LIBDIR}rmmessages.jar
CSM_PATH=${CSM_PATH}:${LIBDIR}ssgclihelp.jar
CSM_PATH=${CSM_PATH}:${LIBDIR}ssgfrmwk.jar
CSM_PATH=${CSM_PATH}:${LIBDIR}JSON4J.jar
CSM_PATH=${CSM_PATH}:${LIBDIR}xerces-2.9.0.jar
CSM_PATH=${CSM_PATH}:${LIBDIR}com.ibm.websphere.javaee.jaxb.2.2_1.0.69.jar
CSM_PATH=${CSM_PATH}:${LIBDIR}io.openliberty.jakarta.xmlBinding.3.0_1.0.60.jar
CSM_PATH=${CSM_PATH}:${CSMCLI}

[ x"${LD_LIBRARY_PATH}" = x ] && LD_LIBRARY_PATH="$LIBDIR" || LD_LIBRARY_PATH="$LIBDIR":"${LD_LIBRARY_PATH}"; export LD_LIBRARY_PATH

# *****************************************************************************
# Execute the CSMCLI program.
# *****************************************************************************
"$CSMJDK/bin/java" $JAVAOPTS  -Djava.net.preferIPv4Stack=false -Dfile.encoding=UTF8 -classpath ${CSM_PATH} -Djava.library.path=${LIBDIR} com.ibm.storage.mdm.cli.rm.RmCli "$@"

